Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021678
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-09-18 15:202012-09-26 17:20
ReporterngarciaView Statuspublic 
Assigned ToioritzCia 
PriorityhighResolutionfixedFixed in Version3.0MP16
StatusclosedFix in branchpiFixed in SCM revision9681ae1efd04
ProjectionnoneETAnoneTarget Version3.0MP17
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021678: Match Statement process button shows an error if the user does not have access to Matching algorithm window or table

DescriptionMatch Statement process button shows an error if the user does not have access neither to Matching algorithm window nor to FIN_Matching_Algorithm table
Steps To ReproduceAs F&B España, S.A. - Finance role:
   Go to Financial Account window and select an account
   Go to Imported Bank Statements tab
   Create a new record, add a line and process it
   Return to the financial account and click on the Match Statement process button
   Notice that the pop-up is opened with no error
   Click on cancel
As F&B International Group Admin role:
   Go to Role window and select the F&B España, S.A. - Finance role
   Go to the Window Access tab and delete the Matching Algorithm entry
As F&B España, S.A. - Finance role:
   Repeat the steps and notice that now the following error message appears:
      "The financial account does not have a matching algorithm defined."
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0052251)
ioritzCia (developer)
2012-09-20 09:58

Testing Plan:

- Follow the steps to reproduce.
- See that the error does not happen.
(0052255)
hgbot (developer)
2012-09-20 10:04

Repository: erp/devel/pi
Changeset: 9681ae1efd04a2ad0a562e20a83eeee2869fa552
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Tue Sep 18 18:39:03 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9681ae1efd04a2ad0a562e20a83eeee2869fa552 [^]

Fixes issue 21678: Match Statement process button shows an error
if the user does not have access to Matching algorithm window or table.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
---
(0052270)
ngarcia (developer)
2012-09-21 09:20

verified
(0052795)
hudsonbot (developer)
2012-09-26 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-18 15:20 ngarcia New Issue
2012-09-18 15:20 ngarcia Assigned To => dmiguelez
2012-09-18 15:20 ngarcia Modules => Core
2012-09-18 15:20 ngarcia Issue Monitored: networkb
2012-09-18 15:23 ngarcia Target Version => 3.0MP17
2012-09-18 16:19 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-09-18 16:26 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-09-19 13:46 ioritzCia Status new => scheduled
2012-09-19 13:46 ioritzCia fix_in_branch => pi
2012-09-20 09:58 ioritzCia Note Added: 0052251
2012-09-20 10:04 hgbot Checkin
2012-09-20 10:04 hgbot Note Added: 0052255
2012-09-20 10:04 hgbot Status scheduled => resolved
2012-09-20 10:04 hgbot Resolution open => fixed
2012-09-20 10:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9681ae1efd04a2ad0a562e20a83eeee2869fa552 [^]
2012-09-21 09:20 ngarcia Closed by => ngarcia
2012-09-21 09:20 ngarcia Note Added: 0052270
2012-09-21 09:20 ngarcia Status resolved => closed
2012-09-21 09:20 ngarcia Fixed in Version => 3.0MP16
2012-09-26 17:20 hudsonbot Checkin
2012-09-26 17:20 hudsonbot Note Added: 0052795


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker